VMTKCENTERLINEATTRIBUTES(1)

NAME
vmtkcenterlineattributes - vmtk script vmtkcenterlineattributes

DESCRIPTION
Automatic piping vmtkcenterlineattributes Parsing options vmtkcenterlineattributes

vmtkcenterlineattributes : compute centerline attributes like abscissa

    and parallel transport normals; this is a requried step for mapping

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Centerlines (vtkPolyData,1): the input surface

-ifile CenterlinesInputFileName (str,1): filename for the default

    Centerlines reader

-abscissasarray AbscissasArrayName (str,1); default=Abscissas: name

    of the array where centerline abscissas have to be stored

-normalsarray NormalsArrayName (str,1);

    default=ParallelTransportNormals: name of the array where parallel transport normals to the centerlines have to be stored

-ofile CenterlinesOutputFileName (str,1): filename for the default

    Centerlines writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o Centerlines (vtkPolyData,1)

-abscissasarray AbscissasArrayName (str,1); default=Abscissas: name

    of the array where centerline abscissas are stored

-normalsarray NormalsArrayName (str,1);

    default=ParallelTransportNormals: name of the array where parallel transport normals to the centerlines are stored